
QGIS Application - Bug report #6723

Multiple selection from table paste into layer crashes QGIS

2012-11-18 11:48 AM - Patrick Dunford

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 15888

Description

When multiple features of a layer are selected in the layer using the selection tools and pasted to another layer, QGIS performs the paste

satisfactorily.

However if a table is opened and used to select the multiple features, the paste operation to another layer crashes QGIS.

History

#1 - 2012-11-24 07:45 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

it works fine here on master, please try qgis-dev/osgeo4w and/or attach sample data.

#2 - 2012-12-27 12:48 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

closing for lack of feedback, reopen if necessary.

#3 - 2013-01-17 03:16 PM - Patrick Dunford

- Status changed from Closed to Reopened

This is inconsistent, it will crash on some occasions but not on others.

However, what is consistent is that it is the only time Qgis crashes when pasting multiple features.

Usually, the source file layer is a KML file and the destination file layer is SHP. They have different column names (since the column names in a KML

produced by Google Earth are preset to Name and Description). The shapefiles I use generally have two columns, Name and Caption, both 80 character

text columns.

There's no point in me sending you sample data, since I can't make it consistently crash with the same data on different occasions.

#4 - 2013-01-17 03:22 PM - Patrick Dunford
By the way I have quite a lot of paste crashes, in various circumstances

so the first question I would ask is about exception handling around paste operations, 

is there exception handling to check for null pointers or data passed to a paste operation.

#5 - 2013-01-23 12:57 PM - Patrick Dunford

Here is a summary of copy/paste problems

    -  multiple item paste can crash Qgis

    -  multiple item paste does not paste all the selected features.

Today for example I opened a KML and selected 25 features by using a selection rectangle. I deliberately ensured the selection rectangle was dragged all

the way across the source area. I then pasted them to another layer. After the paste, seven features were not pasted. Only 18 features were pasted. Since

there is no way I can look at the clipboard to see whether there were 25 features on it, I can't actually tell whether the problem was at the copy operation or

the paste operation.

After about my third or fourth attempt I finally managed to get all 25 features pasted at one operation.

#6 - 2013-01-23 01:09 PM - Patrick Dunford

Here's another more consistent multiple selection operation

    -  Select 25 features from a KML layer

    -  paste them into a shapefile layer.

    -  check to see all 25 features are selected.

    -  try to move all 25 features using the move tool

    -  observation is about 20-22 features moved and about 3-5 features didn't move.

    -  checked to see all features are selected (they are) by opening the attribute table.

At a rough guess, the features that weren't moved are the ones that weren't actually visible at the time, because they were not within the client area of the

application window. But if you do any kind of multiple selection, an operation should apply to all selected features, not just the ones that are visible in the

application window at the time.

This has been observed multiple times and seems to be consistent. 

I will be switching to the 1.9 installation later on today for more testing.

#7 - 2013-03-09 02:19 PM - Patrick Dunford

- File Bug6723.zip added

Using the attached data and a Windows 8 x64 computer with QGis 1.9 2a4d79d

    1. Open the project and reattach the two layers.

    2. Open the attributes table of layer Whakatu and select all the rows.

    3. Deselect row 11 only (first column contains "Main") by Ctrl clicking.

    4. Go to the toolbar and click on Copy.

    5. Switch to the layer WBGHPNGLWhakatuYard2010 and put it into Edit mode.

    6. Click Paste.

    7. Qgis crashes.

#8 - 2013-03-09 02:24 PM - Patrick Dunford

By the way, this is an example of multi feature paste crash when features are selected in the attribute table.

If I select the multiple features in the map using the selection tools and then paste them, no crash occurs. This is how I have managed to keep my hair on
until now.

#9 - 2013-03-10 12:23 AM - Patrick Dunford

Tested and shown to crash on Windows 7 x86 running another build of 1.9

Cannot test on the latest master 0c1faa5 until the KML loading bug is fixed.

#10 - 2013-03-10 01:12 AM - Giovanni Manghi

- Resolution deleted (worksforme)

- Status changed from Reopened to Feedback

- Priority changed from Normal to Severe/Regression

On the latest master it seems to work fine, selection can be done using the map. Does this happen only when selecting/copying from the table of attributes?

If yes it is a regression, so meanwhile I'll tag this as blocker, waiting for the attributes issue to be fixed for kml, gpx, etc.

#11 - 2013-03-10 03:19 PM - Patrick Dunford

This does happen when the attribute table is used to select the features, which I am assured is a legitimate way of selecting multiple features for copying.

#12 - 2013-03-10 03:25 PM - Giovanni Manghi

Patrick Dunford wrote:

which I am assured is a legitimate way of selecting multiple features for copying.

yes of course.

#13 - 2013-03-19 08:09 AM - Regis Haubourg

is this speficic to kml provider? shp works fine here

#14 - 2013-05-28 05:12 PM - Nathan Woodrow

Seems a bit hit and miss.  I just had a crash copying from the attribute table but now I can't get it to do it again.

#15 - 2013-06-02 02:21 AM - Giovanni Manghi

- Status changed from Feedback to Open

#16 - 2013-06-06 01:14 AM - Matthias Kuhn

Can't reproduce with the attached dataset (tried several times).

A crashdump/stacktrace and debug output would be very helpful.
#17 - 2013-06-06 09:04 AM - Giovanni Manghi

- Status changed from Open to Feedback

#18 - 2013-07-01 02:47 PM - Salvatore Larosa

I can not reproduce it here, tested on Linux and Windows XP.

Please do you check if this may be closed ?

#19 - 2013-07-02 03:24 AM - Patrick Dunford

I just checked it again on my computer (see #6723-8)

Well it crashed again.

#20 - 2013-07-04 11:28 AM - Matthias Kuhn

Patrick, would you be able to generate a backtrace or crashdump?

This would help a lot for getting an idea for where the problem roots.

#21 - 2013-07-04 01:34 PM - Patrick Dunford

Can you give me the steps for that.

#22 - 2013-07-15 11:41 AM - Salvatore Larosa

Patrick Dunford wrote:

Can you give me the steps for that.

I guess you are asking for Windows, if yes you can find a dump file (like qgis-date-xxxx-xxxx-revision.dmp) 

into the temp directory. it is created when the crash occurs.

if I am not wrong, that should be a good point to trace the problem.

#23 - 2013-07-17 04:32 AM - Jürgen Fischer

- Category set to Vectors

#24 - 2013-07-21 04:03 AM - Patrick Dunford

There are no files called *.dmp anywhere in my computer.

#25 - 2013-07-21 08:27 AM - Giovanni Manghi

Patrick Dunford wrote:

There are no files called *.dmp anywhere in my computer.
the dump files are discarded when you reboot, I think.

#26 - 2013-07-22 01:44 PM - Salvatore Larosa

Patrick Dunford wrote:

There are no files called *.dmp anywhere in my computer.

Hi Patrick, 

when you get the crash will be shown a dialog which tell to you 

where the dmp file has been created.

Also, please, could you try again with the latest master? and, 

eventually, could you create a video with the steps to the crash?

Thanks!

#27 - 2013-07-25 09:13 AM - Patrick Dunford

No such thing happens.

I get the Windows error dialog telling me that Qgis has stopped working. Nothing tells me where to find the dmp files.

There are no files in \\Users\\x\\Appdata\\Local\\Temp or C:\\Windows\\Temp or D:\\Users\\x\\.qgis

#28 - 2013-07-25 10:33 AM - Giovanni Manghi

Patrick Dunford wrote:

No such thing happens.

I get the Windows error dialog telling me that Qgis has stopped working. Nothing tells me where to find the dmp files.

There are no files in \\Users\\x\\Appdata\\Local\\Temp or C:\\Windows\\Temp or D:\\Users\\x\\.qgis

are you using the latest qgis master available?

#29 - 2013-07-25 04:25 PM - Patrick Dunford

Install build 28 of the weekly builds

Well it doesn't crash any more so I can't get you any dmp files :)

#30 - 2013-07-26 02:35 AM - Salvatore Larosa

- Status changed from Feedback to Closed

- Resolution set to worksforme

Files

Bug6723.zip 5.39 KB 2013-03-09 Patrick Dunford

2024-03-20 5/5


